gr::satellites::fixedlen_to_pdu_impl Class Reference

`#include <fixedlen_to_pdu_impl.h>`

Inheritance diagram for gr::satellites::fixedlen_to_pdu_impl:
[legend]

## Public Member Functions

| fixedlen_to_pdu_impl (blocks::pdu::vector_type type, const std::string &syncword_tag, size_t packet_len, bool pack)
| ~fixedlen_to_pdu_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::satellites::fixedlen_to_pdu
typedef boost::shared_ptr< fixedlen_to_pdu > | sptr
Static Public Member Functions inherited from gr::satellites::fixedlen_to_pdu
static sptr | make (blocks::pdu::vector_type type, const std::string &syncword_tag, size_t packet_len, bool pack=false)

## Constructor & Destructor Documentation

## fixedlen_to_pdu_impl()

gr::satellites::fixedlen_to_pdu_impl::fixedlen_to_pdu_impl | ( | blocks::pdu::vector_type | type,
|  | const std::string & | syncword_tag,
|  | size_t | packet_len,
|  | bool | pack )

## ~fixedlen_to_pdu_impl()

gr::satellites::fixedlen_to_pdu_impl::~fixedlen_to_pdu_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::satellites::fixedlen_to_pdu_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- fixedlen_to_pdu_impl.h